> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upliftai.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Realtime Assistant

> Delete a realtime assistant configuration

<Note>
  **Beta Feature**: This endpoint is currently in beta. Features and specifications may change.
</Note>

<Warning>
  Deleting an assistant will prevent new sessions from being created, but will not affect currently active sessions.
</Warning>

<ParamField path="realtimeAssistantId" type="string" required>
  The unique identifier of the assistant to delete
</ParamField>

<RequestExample>
  ```bash Example Request theme={null}
  curl -X DELETE https://api.upliftai.org/v1/realtime-assistants/550e8400-e29b-41d4-a716-446655440000 \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript JavaScript theme={null}
  const assistantId = '550e8400-e29b-41d4-a716-446655440000';

  const response = await fetch(`https://api.upliftai.org/v1/realtime-assistants/${assistantId}`, {
    method: 'DELETE',
    headers: {
      'Authorization': 'Bearer YOUR_API_KEY',
    }
  });

  if (response.status === 204) {
    console.log('Assistant deleted successfully');
  }
  ```
</RequestExample>

<ResponseExample>
  ```text Response theme={null}
  204 No Content
  ```
</ResponseExample>
